Предупреждение о ворчании: объект #<объект> не имеет метода ‘isAbsolute’

Эта ошибка появляется при запуске grunt с плагином responsive-images-extender. Это моя конфигурация:

responsive_images_extender: {
        target: {
           options: {
             sizes: [{
               selector: 'img',
               sizeList: [{
                   cond: 'min-width: 300px',
                   size: '50vw'
                 }, {
                   cond: 'min-width: 700px',
                   size: '70vw'
                 }, {
                   cond: 'default',
                   size: '100vw'
               }]
             }]
           },
           files: [{
             expand: true,
             src: ['**/*.{html,htm,php}'],
             cwd: 'src/',
             dest: 'dist/'
           }]
         }
      }

Даже с полностью пустыми опциями я получаю ту же ошибку.
Что вызывает эту ошибку? Я чувствую, что это может быть опечатка, но я не вижу этого.

1 ответ

  1. Это потому, что вы используете старую версию NodeJS. Эта функция устарела, и обновление NodeJS решит проблему.